Upload Proof of Funds
curl --request POST \
--url https://api.mansa.xyz/api/v2/liquidity/utilization/upload-proof-of-funds/{withdrawalRequestId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'x-api-key: <api-key>' \
--form file='@example-file'import requests
url = "https://api.mansa.xyz/api/v2/liquidity/utilization/upload-proof-of-funds/{withdrawalRequestId}"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {
"x-api-key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', Authorization: 'Bearer <token>'}
};
options.body = form;
fetch('https://api.mansa.xyz/api/v2/liquidity/utilization/upload-proof-of-funds/{withdrawalRequestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"file_name": "<string>",
"file_size": 123,
"mime_type": "<string>",
"recorded_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "validation_error",
"code": "missing_required_field",
"message": "The 'amount' field is required.",
"param": "amount",
"doc_url": "https://docs.mansa.io/errors/missing_required_field"
}
}{
"error": {
"type": "auth_error",
"code": "invalid_token",
"message": "Bearer token is missing or invalid."
}
}{
"error": {
"type": "validation_error",
"code": "resource_not_found",
"message": "The requested resource does not exist."
}
}{
"error": {
"type": "rate_limit_error",
"code": "too_many_requests",
"message": "Too many requests. Please retry with exponential backoff."
}
}{
"error": {
"type": "api_error",
"code": "upstream_dependency_error",
"message": "A dependency failed to process the request."
}
}Utilization
Upload Proof of Funds
Upload a proof-of-funds document for a withdrawal request.
POST
/
api
/
v2
/
liquidity
/
utilization
/
upload-proof-of-funds
/
{withdrawalRequestId}
Upload Proof of Funds
curl --request POST \
--url https://api.mansa.xyz/api/v2/liquidity/utilization/upload-proof-of-funds/{withdrawalRequestId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'x-api-key: <api-key>' \
--form file='@example-file'import requests
url = "https://api.mansa.xyz/api/v2/liquidity/utilization/upload-proof-of-funds/{withdrawalRequestId}"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {
"x-api-key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', Authorization: 'Bearer <token>'}
};
options.body = form;
fetch('https://api.mansa.xyz/api/v2/liquidity/utilization/upload-proof-of-funds/{withdrawalRequestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"file_name": "<string>",
"file_size": 123,
"mime_type": "<string>",
"recorded_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "validation_error",
"code": "missing_required_field",
"message": "The 'amount' field is required.",
"param": "amount",
"doc_url": "https://docs.mansa.io/errors/missing_required_field"
}
}{
"error": {
"type": "auth_error",
"code": "invalid_token",
"message": "Bearer token is missing or invalid."
}
}{
"error": {
"type": "validation_error",
"code": "resource_not_found",
"message": "The requested resource does not exist."
}
}{
"error": {
"type": "rate_limit_error",
"code": "too_many_requests",
"message": "Too many requests. Please retry with exponential backoff."
}
}{
"error": {
"type": "api_error",
"code": "upstream_dependency_error",
"message": "A dependency failed to process the request."
}
}Authorizations
API key for authentication
JWT token following RFC001 specification
Path Parameters
ID of the withdrawal request
Body
multipart/form-data
The proof-of-funds document to upload.

